#
# spec file for package python3-audioread
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-audioread
Version:        2.1.4
Release:        1.1
License:        MIT
Summary:        Multi-library, cross-platform audio decoding
Url:            https://github.com/sampsyo/audioread
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/a/audioread/audioread-%{version}.tar.gz
BuildRequires:  python3-devel
BuildArch:      noarch

%description
Decode audio files using whichever backend is available. The library
currently supports:

- Gstreamer via PyGObject.
- MAD via the pymad bindings.
- FFmpeg or Libav via its command-line interface.
- The standard library wave, aifc, and sunau modules (for
  uncompressed audio formats).

%prep
%setup -q -n audioread-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Wed Feb 22 2017 alarrosa@suse.com
- Fix description so it doesn't include information that doesn't belong
  there
* Mon Feb  6 2017 alarrosa@suse.com
- Fix source url in spec file
* Wed Jan 18 2017 alarrosa@suse.com
- Initial package release
  2.1.4
    Fix a bug in the FFmpeg backend where, after closing a file, the program's
    standard input stream would be "broken" and wouldn't receive any input.
  2.1.3
    Avoid some warnings in the GStreamer backend when using modern versions of
    GLib. We now require at least GLib 2.32.
  2.1.2
    Fix a file descriptor leak when opening and closing many files using
    GStreamer.
  2.1.1
    Just fix ReST formatting in the README.
  2.1.0
    The FFmpeg backend can now also use Libav's ``avconv`` command.
    Fix a warning by requiring GStreamer >= 1.0.
    Fix some Python 3 crashes with the new GStreamer backend (thanks to
    @xix-xeaon).
  2.0.0
    The GStreamer backend now uses GStreamer 1.x via the new
    gobject-introspection API (and is compatible with Python 3).
  1.2.2
    When running FFmpeg on Windows, disable its crash dialog. Thanks to
    jcsaaddupuy.
  1.2.1
    Fix an unhandled exception when opening non-raw audio files (thanks to
    aostanin).
    Fix Python 3 compatibility for the raw-file backend.
  1.2.0
    Add support for FFmpeg on Windows (thanks to Jean-Christophe Saad-Dupuy).
  1.1.0
    Add support for Sun/NeXT `Au files`_ via the standard-library ``sunau``
    module (thanks to Dan Ellis).
  1.0.3
    Use the rawread (standard-library) backend for .wav files.
  1.0.2
    Send SIGKILL, not SIGTERM, to ffmpeg processes to avoid occasional hangs.
  1.0.1
    When GStreamer fails to report a duration, raise an exception instead of
    silently setting the duration field to None.
